CGAL 6.1.2 - 2D Polygons

Loading...
Searching...
No Matches
Functions
Draw a 2D Polygon
Reference Manual

##

`#include<CGAL/draw_polygon_2.h>`

## Functions
template<class P , class GSOptions >
void | CGAL::draw (const P &p, const GSOptions &gso)
| opens a new window and draws a 2D polygon.
template<class P >
void | CGAL::draw (const P &p)
| A shortcut to `CGAL::draw(p, Graphics_scene_options{})`.
template<class P , class GSOptions >
void | CGAL::add_to_graphics_scene (const P &p, CGAL::Graphics_scene &gs, const GSOptions &gso)
| adds the vertices, edges and faces of `p` into the given graphic scene `gs`.
template<class P >
void | CGAL::add_to_graphics_scene (const P &p, CGAL::Graphics_scene &gs)
| A shortcut to `CGAL::add_to_graphics_scene(p, gs, Graphics_scene_options{})`.

## Function Documentation

## ◆ add_to_graphics_scene()

template<class P , class GSOptions >

void CGAL::add_to_graphics_scene | ( | const P & | p,
|  | CGAL::Graphics_scene & | gs,
|  | const GSOptions & | gso
| ) |  |

`#include <CGAL/draw_polygon_2.h>`

adds the vertices, edges and faces of `p` into the given graphic scene `gs`.

Parameters of the cells are taken from the optional graphics scene options parameter `gso`. Note that `gs` is not cleared before being filled (to enable to draw several data structures in the same basic viewer).

Template Parameters

  P | which must be an instantiation of a `CGAL::Polygon_2<...>`.
  GSOptions | a model of `GraphicsSceneOptions` concept.

Parameters

  p | the 2D polygon to draw.
  gs | the graphic scene to fill.
  gso | the graphics scene options parameter.

Advanced

The real declaration of this function template is:

`template<class T, class C, class GSOptions>`

`void CGAL::add_to_graphics_scene(const CGAL::Polygon_2<T, C>& p, CGAL::Graphics_scene& gs, const GSOptions& gso);`

## ◆ draw()

template<class P , class GSOptions >

void CGAL::draw | ( | const P & | p,
|  | const GSOptions & | gso
| ) |  |

`#include <CGAL/draw_polygon_2.h>`

opens a new window and draws a 2D polygon.

Parameters of the drawing are taken from the optional graphics scene options parameter.

A call to this function blocks the execution of the program until the drawing window is closed. This function requires `CGAL_Qt6`, and is only available if the macro `CGAL_USE_BASIC_VIEWER` is defined. Linking with the cmake target `CGAL::CGAL_Basic_viewer` will link with `CGAL_Qt6` and add the definition `CGAL_USE_BASIC_VIEWER`.

Template Parameters

  P | which must be an instantiation of a `CGAL::Polygon_2<...>`.
  GSOptions | a model of `GraphicsSceneOptions` concept.

Parameters

  p | the polygon to draw.
  gso | the graphics scene options parameter.

Advanced

The real declaration of this function template is:

`template<class T, class C, class GSOptions>`

`void CGAL::draw(const CGAL::Polygon_2<T, C>& p, const GSOptions& gso);`